/*--Select 2 overrdies--*/
.select2.select2-container{max-width:100%;}
.select2-container--default .select2-selection--single{border:1px solid #aab2bd;background-color: #fff;border-radius:0;height:42px;}
.select2-container--default .select2-selection--single .select2-selection__rendered{
	line-height: 40px;
	font-family: var(--secondary-title-font) !important;
    color: #000000;
    font-size: var(--secondary-font-size) !important;
}
.select2-container--default .select2-selection--single .select2-selection__arrow b {
    border: none;
    border-width: 0;
    mask-image: url(../images/lp/language-dropdown-arrow.png);
    mask-repeat: no-repeat;
    width: 18px;
    height: 11px;
    margin-top: 0;
    left: auto;
    background-size: 100%;
    margin-left: 0;
    top: 50%;
    transform: translateY(-50%);
    mask-position: center center;
    background: #840016;
    mask-size: 100%;
}
.select2-results .select2-results__option.select2-results__option--highlighted{
	background-color: #840016 !important;
    color: #fff !important;
    font-weight: 400;
	font-family: var(--secondary-title-font);
}
.select2-dropdown{border-radius:0;}
.select2-results__option[aria-selected]{font-family: var(--secondary-title-font);}
.select2-container--default .select2-results__option[aria-selected=true]{background-color:#fff; }
.select2-search.select2-search--dropdown{display:none;}
.select2-container--default .select2-selection--single .select2-selection__arrow{top:52%;height:40px;transform:translateY(-50%);right:12px;}
.select2-container .select2-selection--single .select2-selection__rendered{padding-left:10px;}
header#siteheader .select2-container--default .select2-selection--single .select2-selection__rendered{
    font-weight: 400 !important;
    font-size: 1em !important;
}

@media screen and (max-width: 1537px) {
    .select2-container--default .select2-selection--single {
        height: 39px;
    }
    header#siteheader .select2-container--default .select2-selection--single .select2-selection__rendered {
        line-height: 39px;
    }
}
@media(max-width: 768px){
    .select2-container--default .select2-selection--single .select2-selection__arrow b{
        width:11px;
        height:8px;
    }
    .select2-container--default .select2-selection--single .select2-selection__arrow{right:0;}
    .select2-container--default .select2-selection--single {
        height: 32px;
    }
    header#siteheader .select2-container--default .select2-selection--single .select2-selection__rendered {
        line-height: 32px;
    }
    .select2-results__option[aria-selected] {
    font-family: var(--secondary-title-font);
    font-size: 12px;
}
}

@media(max-width: 576px){
    .select2-container--default .select2-selection--single {
        height: 30px;
    }
    header#siteheader .select2-container--default .select2-selection--single .select2-selection__rendered {
        line-height: 28px;
        font-size: 12px !important;
    }
    .select2-container--default .select2-selection--single .select2-selection__arrow{
        height:28px;
        right:10px;
    }
    .select2-container--default .select2-selection--single .select2-selection__arrow b{
        width:12px;
        right:0;
    }
    .select2-container--default .select2-results__option[aria-selected=true] {
    font-size: 12px;
}
}